---
include: 'https://git.scc.kit.edu/KIT-CERT/publish/-/raw/main/gitlab-ci/ssh-config.yml'

image: hub.cert.kit.edu:5000/kit-cert-golang-pkg:latest

golang_pkg:
  tags:
    - docker
    - hubscc
  script:
    - apt-get update && apt-get install -y
      dh-sysuser
      golang-github-go-ldap-ldif-dev
      golang-github-davecgh-go-spew-dev
      golang-github-k0kubun-pp-dev
      golang-github-go-ldap-ldap-dev
      golang-github-hreese-go-humanreltime-dev
      golang-git.scc.kit.edu-heiko.reese-certificatestats-dev
      golang-github-blevesearch-bleve-dev
      golang-github-boltdb-bolt-dev
      golang-github-fsnotify-fsnotify-dev
      golang-github-gofrs-uuid-dev
      golang-github-gorilla-mux-dev
      golang-github-gorilla-sessions-dev
      golang-github-hashicorp-go-memdb-dev
    - git checkout master
    - git reset --hard origin/master
    - gbp pull --all
    - git config --global user.email "${GITLAB_USER_EMAIL}"
    - git config --global user.name "${GITLAB_USER_NAME}"
    - git clean -f -d
    - gbp buildpackage
    - rsync ../*.deb repo@repo.cert.kit.edu:/bullseye/
  artifacts:
    paths:
      - ../*.deb
    expire_in: 1 week
